
 LinHES - Bug # 233: iPod Feeds is missing from LinHES

Status: Closed Priority: Normal
Author: mihanson Category:
Created: 02/26/2009 Assignee: cecil
Updated: 12/25/2011 Due date: 12/31/1969
Description: iPod Feeds is missing from LinHES (linked to from index.html)

See also task FS#17

History
06/07/2009 12:52 am - Human
Part of FS#356

07/19/2009 01:47 am - cecil
sudo pacman -Syu myth2ipod
As I don't have an ipod, I'd appreciate it if someone could test this and provide feedback.

07/19/2009 12:57 pm - Human
I don't have an iPod either, but in R5.5, I was able to transcode to iPod and use the RSS feed and watch the resulting transcoded video.  Has that much 
been tested?

07/19/2009 01:08 pm - cecil
Found an issue.... Working on it.

07/26/2009 03:04 am - cecil
sudo pacman -Sy php myth2ipod

08/01/2009 09:04 am - craigtv
On 7/31/09 I ran pacman update, and myth2ipod-0.2-18-i686 failed to install because of a file conflict with the /myth/ipodfeed directory.  I renamed my 
ipodfeed directory to get the install to go.  The install put what appeared to be a php file called ipodfeed in /myth.  Based on looking at the file and links 
on the latest the mythweb, I renamed the file to m2iweb.php, then moved into /myth/ipodfeed (renamed my saved directory back to ipodfeed).  Once I 
did that, I have a slick program listing that links from the main mythweb page.  Ran a myth2ipod last night, and it worked perfectly.

Looks to me like it's really close.  If that m2iweb.php file can get created with the right name and location on install.

(BTW, I also edited a copy of the m2iweb.php file (essentially replacing all the ipod and mp4 references with XviD and avi respectively), called it 
/myth/video/archive/archive.php and it's working for myth2xvid.)

08/01/2009 02:21 pm - cecil
I've been testing myth2ipod and myt2xvid3.  I've also cleaned up the PHP scripts (thanks to greywire for the PHP pointers) and those have been 
incorporated into MythWeb.  The LinHES homepage just needs to be updated.

08/03/2009 04:44 pm - Human
Tweaker sets up fresh installs to call myth2ipod as User Job #1.

08/06/2009 01:19 pm - Human
One integration problem is that some package (or some process) sets up /myth/ipodfeed as a file, and myth2ipod wants this to be a directory.

08/07/2009 11:52 am - Human
This was happening in myth2ipod's own PKGBUILD file.  I'm fixing now.
08/08/2009 11:47 am - craigtv
Works for me!

08/09/2009 08:39 pm - Too-Many-Secrets
Just did a total update and now I have Myth2iPod    |   Myt2XviD3 showing on my MythWeb status page at top near Backend Status. Should this 
feedback go here?

08/09/2009 08:44 pm - Human
My understanding is that it's just a second set of links to the feeds, the first being from the LinHES webpage.

08/09/2009 09:11 pm - Too-Many-Secrets
Well enough Bob, but I still get a 404 when I click the link...

08/09/2009 09:17 pm - Human
Can you right-click on the link and paste the link target?  Just checking that updates on the web side aren't interfering.

08/09/2009 09:59 pm - Too-Many-Secrets
(with the http:// before)

192.168.1.10/ipodfeed/m2iweb.php

192.168.1.10/archive/archive.php

There is no archive.php in /myth/archive but there was a m2iweb.php in the /myth/ipodfeed. both returned 404

08/09/2009 10:29 pm - Human
Same URLs here (obviously the IP address differs) and it's working for me.  I recommend uninstalling and re-installing myth2ipod and myt2xvid3.

08/10/2009 08:16 pm - craigtv
I had to add the ipodfeed and archive directories to my php.ini file, so the php files would execute.  Edit /etc/php/php.ini , and look for the line that starts 
with:

<code>open_basedir = </code>

then add /data/srv/httpd/htdocs/ipodfeed:/data/srv/httpd/htdocs/archive to the string of paths.  Note that you'll need to have a link to your ipod feed and 
archive directory in your htdocs directory so it can be seen by the web server.

08/10/2009 10:59 pm - Human
I didn't have to make that change to my php.ini.  Exactly what failed for you before you made that changed?

08/11/2009 06:59 am - craigtv
I actually made that change some time ago, before myth2ipod was officially rolling out as part of LinHES.  Seeing scot's posts made me think of it.  I 
was working on getting my old myth2ipod script working, and I kept getting an error on feed.php, but when I put in a simple html file it worked fine.  
Googling around I found the open_basedir thing.  

However, I misremembered that as a 404 error.  I just went back and took the ipodfeed path out of the open_basedir directive, and the page says:  "No 
input file specified" if I try to view feed.php in the browser.  Put it back and it works again.  Note that you do have to restart the lighttpd service for the 
changes to "take." 

I also made sure that in /data/srv/httpd/htdocs I have links to the myth2ipod and archive directories:
/data/srv/httpd/htdocs/ipodfeed -> /myth/ipodfeed
/data/srv/httpd/htdocs/archive -> /myth/video/archive

...and that the permissions on those directories allow viewing by the web user

At this point, I'm not sure what I had already configured, and what gets configured with the pacman install.  If you like, I can try to clear everything out 
and do a fresh install via pacman.

08/11/2009 07:04 am - Human
Here's what's in my open_basedir line, configured purely by pacman:

open_basedir = 
/data/srv/httpd/htdocs/:/home/:/tmp/:/usr/share/pear/:/data/srv/tmp:/usr/share/mythtv/mythweather/scripts/:/data/srv/httpd/htdocs/mythweb/data/video:/m
yth/ipodfeed:/data/srv/httpd/htdocs/archive

That seems sufficient, as I haven't run into problems where the php files don't execute.

08/11/2009 09:15 am - craigtv
Looks right to me too.  Sorry about that, I jumped the gun in remembering what I did, and not confirming if the actual pacman update took care of it.

08/11/2009 09:17 am - Human
No problem :)  We all have the same goal.

12/25/2011 03:10 pm - jams
- Target version changed from 8.0 to 6.00.04
